Bug 147533 - Mark and space parity fix.
Mark and space parity fix.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-08 16:28 EST by taj
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-13 17:00:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed fix for mark and space parity (387 bytes, patch)
2005-02-08 16:30 EST, taj
no flags Details | Diff

  None (edit)
Description taj 2005-02-08 16:28:17 EST
As far as I can tell, we need to have CMSPAR defined in bits/termios.h
so mark and space parity work.   It is also defined in asm/termbits.h
but I dont think that should be used by applications.

--- bits/termios.h.orig	2005-02-08 14:57:52.000000000 -0700
+++ bits/termios.h	2005-02-08 14:56:56.000000000 -0700
@@ -172,6 +172,7 @@
 #define __MAX_BAUD B4000000
 #ifdef __USE_MISC
 # define CIBAUD	  002003600000		/* input baud rate (not used) */
+# define CMSPAR   010000000000          /* mark or space (stick)
parity */
 # define CRTSCTS  020000000000		/* flow control */
 #endif
Comment 1 taj 2005-02-08 16:30:24 EST
Created attachment 110824 [details]
proposed fix for mark and space parity
Comment 3 taj 2005-02-13 17:00:31 EST
fixed in glibc-2.3.4-10

Should go upstream...

Note You need to log in before you can comment on or make changes to this bug.